commit:     2b063dc4b461881f859317a975f4ba93c6a56f44
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 12 08:33:27 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Apr 12 08:33:27 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b063dc4

net-im/rocketchat-desktop-bin: add 3.8.2

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 net-im/rocketchat-desktop-bin/Manifest             |  1 +
 .../rocketchat-desktop-bin-3.8.2.ebuild            | 54 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/net-im/rocketchat-desktop-bin/Manifest 
b/net-im/rocketchat-desktop-bin/Manifest
index a13f252ddf55..979f7676baee 100644
--- a/net-im/rocketchat-desktop-bin/Manifest
+++ b/net-im/rocketchat-desktop-bin/Manifest
@@ -1 +1,2 @@
 DIST rocketchat-3.8.1-linux-x86_64.rpm 62200440 BLAKE2B 
7b4957810abf2868ddc071c5c0879803803a6156c07b8b19b1f6f60235535fb881976db056d18ee046842cc4dc8c373a75e8f2d48d35a67a74b2193b27a87f22
 SHA512 
77f6ddc44b85e38aaefcd3662d70ada411c6380aa8e9d7c6d25f3ad1dfccc17f9544d7fdcc713e3c3c933a681cd22f7a73fda8eba4080ae2490a74251d3f0969
+DIST rocketchat-3.8.2-linux-x86_64.rpm 62202472 BLAKE2B 
44ecfa459624e4cb44777183acb9e1a3d6737166c752db2c33fb298402bac4c4f9856c60cf9889d736902f4f4250c9e93c2e079736dcfadb1626b31f1ebe04e6
 SHA512 
afdff8f3d6b36e5a595ec684c0e5641fbeeaae031a75f715ddf42a4e4f212d81dd0e04dc6eee9bc4993be2d284f36f1c9900244794bdc29580000a61756a6832

diff --git a/net-im/rocketchat-desktop-bin/rocketchat-desktop-bin-3.8.2.ebuild 
b/net-im/rocketchat-desktop-bin/rocketchat-desktop-bin-3.8.2.ebuild
new file mode 100644
index 000000000000..258071fcfef4
--- /dev/null
+++ b/net-im/rocketchat-desktop-bin/rocketchat-desktop-bin-3.8.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit rpm xdg
+
+DESCRIPTION="The Ultimate Open Source Web Chat Platform"
+HOMEPAGE="https://rocket.chat";
+SRC_URI="https://github.com/RocketChat/Rocket.Chat.Electron/releases/download/${PV}/rocketchat-${PV}-linux-x86_64.rpm";
+S="${WORKDIR}"
+
+KEYWORDS="-* ~amd64"
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+       app-accessibility/at-spi2-atk:2
+       dev-libs/atk
+       dev-libs/expat
+       dev-libs/libappindicator
+       dev-libs/nspr
+       dev-libs/nss
+       media-fonts/noto-emoji
+       media-libs/alsa-lib
+       net-print/cups
+       sys-libs/glibc
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       x11-libs/gtk+:3
+       x11-libs/libnotify
+       x11-libs/libxcb
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libxkbcommon
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       x11-libs/libXtst
+       x11-libs/libXScrnSaver
+       x11-libs/pango
+"
+
+QA_PREBUILT="opt/Rocket.Chat/*"
+
+src_install() {
+       # remove files useless for Gentoo
+       rm -r usr/lib || die
+       mv "${S}"/* "${ED}" || die
+}

Reply via email to